Subject: Re: I can't inicializate PostgreSQL
From: Manuel Tejada <[email-masked]>
To: Carlo Florendo y Flora <[email-masked]>, [email-masked]
Cc: Manuel Tejada <[email-masked]>
Date: Mon, 19 Jul 2004 23:10:19 -0500 (CDT)

Thanks Carlo Florendo y Flora and Igor Pechtchanski 
for your very illustrative comments. Based on that I
follow the procedure again for install PostgreSQL in
my Window ME. Now I can run Cygserver but The
initialization of PostgreSQL failled. See the output I
got: 

--------------------------------

admin@alejo ~
$ CYGWIN=server

admin@alejo ~
$ export CYGWIN

admin@alejo ~
$ /usr/sbin/cygserver &
[1] 901443

admin@alejo ~
$ cygserver: Initialization complete.  Waiting for
requests.
// I had to press ENTER because the System really was
wainting for something

admin@alejo ~
$ initdb -D /usr/share/postgresql/data
The files belonging to this database system will be
owned by user "admin".
This user must also own the server process.

The database cluster will be initialized with locale
C.

creating directory /usr/share/postgresql/data... ok
creating directory /usr/share/postgresql/data/base...
ok
creating directory
/usr/share/postgresql/data/global... ok
creating directory
/usr/share/postgresql/data/pg_xlog... ok
creating directory
/usr/share/postgresql/data/pg_clog... ok
selecting default max_connections... 10
selecting default shared_buffers... 50
creating configuration files... ok
creating template1 database in
/usr/share/postgresql/data/base/1... FATAL: 
shmat(id=1179648) failed: Invalid argument

initdb: failed
initdb: removing data directory
"/usr/share/postgresql/data"

---------------------------------------

Really I don't know what does meant the line "FATAL: 
shmat(id=1179648) failed: Invalid argument".

What difficult is becoming the installation of the
PostgreSQL'new versions on Cygwin (runing on Windows
ME) since the use of Cygserver instaed of ipc-daemon2.
Maybe I am doing something wrong but I don't know what
it is.
I am not an expert just a user.

Somebody have any clue?

-- Carlo Florendo y Flora
<[email-masked]> escribió: > Igor
Pechtchanski wrote:
> 
> >On Mon, 19 Jul 2004, Carlo Florendo y Flora wrote:
> >
> >  
> >
> >>Manuel Tejada wrote:
> >>
> >>    
> >>
> >>>I am using PostgreSQL for Cygwin on Windows ME
> from
> >>>April 2003
> >>>[snip]
> >>>
> >>>After reading some answer to various post in the
> mailing list archive
> >>>with similar problem and the
> >>>/usr/share/doc/Cygwin/postgres-7.4.3.README file,
> I decided to follow
> >>>the procedure using Cygserver instead
> ipc-daemon2:
> >>>- Set the CYGWIN variable enviroment to "server"
> >>>- Install and configure cygserver
> >>>- Run cygserver
> >>>- Initialize PostgreSQL
> >>>
> >>>But now the cygserver failled to run because the
> >>>System says the command is no found, as you can
> see in
> >>>the ouptput I show you bellow:
> >>>-------------------------------
> >>>
> >>>admin@alejo ~
> >>>$ CYGWIN=server
> >>>
> >>>admin@alejo ~
> >>>$ export CYGWIN
> >>>
> >>>admin@alejo ~
> >>>$ cygserver-config
> >>>
> >>>Generating /etc/cygserver.conf file
> >>>chown: `system.544': invalid user
> >>>      
> >>>
> >>Check whether  you have correct entries on your
> /etc/passwd and
> >>/etc/group files.
> >>`system.544' means `SYSTEM:root'.    The user
> `SYSTEM' should appear on
> >>your /etc/passwd file.
> >>The group `root' should be on your /etc/group
> file.  You should  notice
> >>that the group `root' has a GID (Group ID) of 544.
> >>If you get the above error message, there could be
> something wrong with
> >>your /etc/passwd or /etc/group file.
> >>Btw, my /etc/passwd and /etc/group files were
> automatically generated by
> >>cygwin.
> >>    
> >>
> >
> >The point is moot since this is on WinME, and I
> don't think chown works on
> >that system.  The fact that it's invoked is
> probably a bug in the script,
> >and the above message is harmless (on Win9x/ME).
> >  
> >
> Oops, thanks for pointing out!    I always tell
> myself to read carefully 
> before making any assumptions.  I read that but it
> didn't stick.   Gee, 
> it must be my sleepiness.... :)
> Anyway, the indication that it's a bug in cygserver
> is most probable.  
> I've checked the scripts and there is really a line
> which explicitly 
> does a chown system.544.  Yes, it shouldn't matter
> on Win9x/ME
> but the message is generates can be misleading--or
> terrifying for 
> non-experts like me.
> 
> >>>Further configuration options are available by
> editing the
> >>>configuration file /etc/cygserver.conf.  Please
> read the inline
> >>>information in that file carefully. The best
> option for the start is to
> >>>just leave it alone.
> >>>
> >>>Please keep in mind, that a client application
> which wants to use the
> >>>services provided by cygserver *must* have the
> environment variable
> >>>CYGWIN set so that it contains the word "server".
>  So, if you don't
> >>>need any other special CYGWIN setting, just set
> it to "server".
> >>>
> >>>It is advisable to add this setting to the
> Windows system environment.
> >>>
> >>>Basic Cygserver configuration finished. Have fun!
> >>>
> >>>admin@alejo ~
> >>>$ cygserver &
> >>>[1]118735
> >>>$bash: cygserver: command not found
> >>>[1]+ Exit 127    cygserver
> >>>      
> >>>
> >>cygserver is in /usr/sbin/.
> >>    
> >>
> >
> >Yep.  Granted, the cygserver.README should have
> stated this fact, and
> >included the full path to use to invoke cygserver.
> >
> >FWIW, it's still on my backburner to get cygrunsrv
> working on Win9x/ME
> >enough to make the setup similar to that of the
> WinNT-based systems
> >(unless I upgrade my home machine to XP first :-}).
> >
> >  
> >
> >>My cygwin installation didn't add /usr/sbin/ in
> the PATH environment
> >>variable.  I don't know whether this is the
> default behaviou or not.
> >>    
> >>
> >
> >It is.  This is by design.  See below.
> >  
> >
> That was my suspicion.  :)
> 
> >  
> >
> >>However, you may want to invoke cygserver by
> specifying is fully
> >>qualified path name:
> >>
> >>/us/sbin/cygserver
> >>    
> >>
> >     ^r
> >
> >  
> >
> >>Else, you might want to ad /usr/sbin on your path
> variable although I
> >>don't know whether this would post some issues.
> AFAICS, there's none.
> >>However, there might be a reason why /usr/sbin/
> was not included by
> >>default.  I don't know since I'm not a cygwin
> expert but if you ask
> >>someone on the mailing list, he could probably
> tell you why.
> >>    
> >>
> >
> >There is a reason, and the reason is that
> cygserver, like most of the
> >other stuff in /usr/sbin, was intended to run as a
> service (or be invoked
> >from a service).  On Unices, things in /sbin (for
> which /usr/sbin is the
> >equivalent in Cygwin) are those that shouldn't be
> accidentally invoked
> >from the command line, and should mostly be run as
> root.  Very few of the
> >Unices I know add /sbin to a normal user's PATH
> (they do add them to
> >root's PATH).  It is not a good idea to do this
> (though, perhaps, on
> >Win9x/ME it doesn't matter).
> >
> >  
> >
> Nice!  Thanks for the info :)
> 
> >>>--------------------------------
> >>>
> >>>My questions are:
> >>>
> >>>a) In what I am failling myself?
> >>>      
> >>>
> >
> >In nothing.  The /usr/sbin thing looks like an
> omission in the docs.
> >
> >  
> 
=== message truncated === 

=====
Manuel TEJADA M.

_________________________________________________________
Do You Yahoo!?
La mejor conexión a internet y 25MB extra a tu correo por $100 al mes. http://net.yahoo.com.mx

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/